package com.qmth.paper.library.common.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.common.bean.dto.syssetting.SettingObject;
import com.qmth.paper.library.common.entity.SysSettingGlobal;

import java.util.List;

/**
 * <p>
 * 系统全局设置 服务类
 * </p>
 */
public interface SysSettingGlobalService extends IService<SysSettingGlobal> {

    List<SettingObject> getData();

    boolean saveData(List<SettingObject> settingObjects);

    SysSettingGlobal getOnlyOne();
}
